#-
#:SmallSize 5000000
#:LargeSize 20000000
#:WorkSpace 50000000
#:MaxTermSize 300000
#:TermsInSmall 30000
off stats;
format 75;
auto s sM;
auto i iM;

s GS, GH, MT, MT2, MH, MH2;
cf Den, Denom, dirM, pol, polc, SUNF, SUND, SUNSum, SUNT;
cf SpinorU, SpinorUb, SpinorV, SpinorVb;
cf mom, fslash;

d 4;

AutoDeclare I Dir=4, iM, Lor=4,ind;

Tensor Tr(cyclic),Tp,f(antisymmetric),ff(rcyclic), d(symmetric);
Function TM,TT;
Symbols a,nf,NF,NA,cF,cA,[cF-cA/6];
Dimension NA;
AutoDeclare  I j,Glu=NA;
Dimension NF;
AutoDeclare I i,Col=NF;

v k;
s m;
f g,g1,g2,dummy;
v g6,g7;

v k1,k2,k3,k4,k5,k6;

#define DoColor "0"

#include squareME.h


.global
*********************************************************
*    _                    _ _ _             _           *
*   / \   _ __ ___  _ __ | (_) |_ _   _  __| | ___  ___ *
*  / _ \ | '_ ` _ \| '_ \| | | __| | | |/ _` |/ _ \/ __|*
* / ___ \| | | | | | |_) | | | |_| |_| | (_| |  __/\__ \*
*/_/   \_\_| |_| |_| .__/|_|_|\__|\__,_|\__,_|\___||___/*
*                  |_|                                  *
*********************************************************
Local Diag1 =
+1*dirM(SpinorU(k1,0),Dir1)*dirM(SpinorVb(k2,0),Dir3)*dirM(SpinorUb(k3,MT),Dir2)*dirM(SpinorUb(k4,MT),Dir4)*dirM(SpinorV(k5,MT),Dir6)*dirM(SpinorV(k6,MT),Dir8)*i_*GS*dirM(g(iM,Lor9),Dir3,Dir1)*SUNT(Glu9,Col3,Col1)*i_*GS*dirM(g(iM,Lor11),Dir2,Dir6)*SUNT(Glu11,Col2,Col6)*i_*GS*dirM(g(iM,Lor13),Dir4,Dir8)*SUNT(Glu13,Col4,Col8)*-GS*SUNF(Glu10,Glu12,Glu14)*(d_(Lor10,Lor12)*mom(k1+k2-(-k3-k5),Lor14)+d_(Lor12,Lor14)*mom(-k3-k5-(-k4-k6),Lor10)+d_(Lor14,Lor10)*mom(-k4-k6-(k1+k2),Lor12) )*-i_*Den(-k1-k2,0)*d_(Lor10,Lor9)*d_(Glu10,Glu9)*SUNSum(Glu9,8)*-i_*Den(k3+k5,0)*d_(Lor12,Lor11)*d_(Glu12,Glu11)*SUNSum(Glu11,8)*-i_*Den(k4+k6,0)*d_(Lor14,Lor13)*d_(Glu14,Glu13)*SUNSum(Glu13,8);
Local Diag2 =
-1*dirM(SpinorU(k1,0),Dir1)*dirM(SpinorVb(k2,0),Dir3)*dirM(SpinorUb(k3,MT),Dir2)*dirM(SpinorUb(k4,MT),Dir4)*dirM(SpinorV(k5,MT),Dir6)*dirM(SpinorV(k6,MT),Dir8)*i_*GS*dirM(g(iM,Lor9),Dir3,Dir1)*SUNT(Glu9,Col3,Col1)*i_*GS*dirM(g(iM,Lor11),Dir2,Dir8)*SUNT(Glu11,Col2,Col8)*i_*GS*dirM(g(iM,Lor13),Dir4,Dir6)*SUNT(Glu13,Col4,Col6)*-GS*SUNF(Glu10,Glu12,Glu14)*(d_(Lor10,Lor12)*mom(k1+k2-(-k3-k6),Lor14)+d_(Lor12,Lor14)*mom(-k3-k6-(-k4-k5),Lor10)+d_(Lor14,Lor10)*mom(-k4-k5-(k1+k2),Lor12) )*-i_*Den(-k1-k2,0)*d_(Lor10,Lor9)*d_(Glu10,Glu9)*SUNSum(Glu9,8)*-i_*Den(k3+k6,0)*d_(Lor12,Lor11)*d_(Glu12,Glu11)*SUNSum(Glu11,8)*-i_*Den(k4+k5,0)*d_(Lor14,Lor13)*d_(Glu14,Glu13)*SUNSum(Glu13,8);
Local Diag3 =
-1*dirM(SpinorU(k1,0),Dir1)*dirM(SpinorVb(k2,0),Dir3)*dirM(SpinorUb(k3,MT),Dir2)*dirM(SpinorUb(k4,MT),Dir4)*dirM(SpinorV(k5,MT),Dir6)*dirM(SpinorV(k6,MT),Dir8)*i_*GS*dirM(g(iM,Lor9),Dir3,Dir1)*SUNT(Glu9,Col3,Col1)*i_*GS*dirM(g(iM,Lor11),Dir2,Dir6)*SUNT(Glu11,Col2,Col6)*i_*GS*dirM(g(iM,Lor10),Dir4,Dir13)*SUNT(Glu10,Col4,Col13)*i_*GS*dirM(g(iM,Lor12),Dir14,Dir8)*SUNT(Glu12,Col14,Col8)*-i_*Den(-k1-k2,0)*d_(Lor10,Lor9)*d_(Glu10,Glu9)*SUNSum(Glu9,8)*-i_*Den(k3+k5,0)*d_(Lor12,Lor11)*d_(Glu12,Glu11)*SUNSum(Glu11,8)*i_*Den(-k1-k2+k4,MT2)*d_(Col14,Col13)*SUNSum(Col13,3)*dirM(fslash(-k1-k2+k4)+MT*g(iM),Dir13,Dir14);
Local Diag4 =
-1*dirM(SpinorU(k1,0),Dir1)*dirM(SpinorVb(k2,0),Dir3)*dirM(SpinorUb(k3,MT),Dir2)*dirM(SpinorUb(k4,MT),Dir4)*dirM(SpinorV(k5,MT),Dir6)*dirM(SpinorV(k6,MT),Dir8)*i_*GS*dirM(g(iM,Lor9),Dir3,Dir1)*SUNT(Glu9,Col3,Col1)*i_*GS*dirM(g(iM,Lor11),Dir2,Dir6)*SUNT(Glu11,Col2,Col6)*i_*GS*dirM(g(iM,Lor10),Dir14,Dir8)*SUNT(Glu10,Col14,Col8)*i_*GS*dirM(g(iM,Lor12),Dir4,Dir13)*SUNT(Glu12,Col4,Col13)*-i_*Den(-k1-k2,0)*d_(Lor10,Lor9)*d_(Glu10,Glu9)*SUNSum(Glu9,8)*-i_*Den(k3+k5,0)*d_(Lor12,Lor11)*d_(Glu12,Glu11)*SUNSum(Glu11,8)*i_*Den(k1+k2-k6,MT2)*d_(Col14,Col13)*SUNSum(Col13,3)*dirM(fslash(k1+k2-k6)+MT*g(iM),Dir13,Dir14);
Local Diag5 =
+1*dirM(SpinorU(k1,0),Dir1)*dirM(SpinorVb(k2,0),Dir3)*dirM(SpinorUb(k3,MT),Dir2)*dirM(SpinorUb(k4,MT),Dir4)*dirM(SpinorV(k5,MT),Dir6)*dirM(SpinorV(k6,MT),Dir8)*i_*GS*dirM(g(iM,Lor9),Dir3,Dir1)*SUNT(Glu9,Col3,Col1)*i_*GS*dirM(g(iM,Lor11),Dir2,Dir8)*SUNT(Glu11,Col2,Col8)*i_*GS*dirM(g(iM,Lor10),Dir4,Dir13)*SUNT(Glu10,Col4,Col13)*i_*GS*dirM(g(iM,Lor12),Dir14,Dir6)*SUNT(Glu12,Col14,Col6)*-i_*Den(-k1-k2,0)*d_(Lor10,Lor9)*d_(Glu10,Glu9)*SUNSum(Glu9,8)*-i_*Den(k3+k6,0)*d_(Lor12,Lor11)*d_(Glu12,Glu11)*SUNSum(Glu11,8)*i_*Den(-k1-k2+k4,MT2)*d_(Col14,Col13)*SUNSum(Col13,3)*dirM(fslash(-k1-k2+k4)+MT*g(iM),Dir13,Dir14);
Local Diag6 =
+1*dirM(SpinorU(k1,0),Dir1)*dirM(SpinorVb(k2,0),Dir3)*dirM(SpinorUb(k3,MT),Dir2)*dirM(SpinorUb(k4,MT),Dir4)*dirM(SpinorV(k5,MT),Dir6)*dirM(SpinorV(k6,MT),Dir8)*i_*GS*dirM(g(iM,Lor9),Dir3,Dir1)*SUNT(Glu9,Col3,Col1)*i_*GS*dirM(g(iM,Lor11),Dir2,Dir8)*SUNT(Glu11,Col2,Col8)*i_*GS*dirM(g(iM,Lor10),Dir14,Dir6)*SUNT(Glu10,Col14,Col6)*i_*GS*dirM(g(iM,Lor12),Dir4,Dir13)*SUNT(Glu12,Col4,Col13)*-i_*Den(-k1-k2,0)*d_(Lor10,Lor9)*d_(Glu10,Glu9)*SUNSum(Glu9,8)*-i_*Den(k3+k6,0)*d_(Lor12,Lor11)*d_(Glu12,Glu11)*SUNSum(Glu11,8)*i_*Den(k1+k2-k5,MT2)*d_(Col14,Col13)*SUNSum(Col13,3)*dirM(fslash(k1+k2-k5)+MT*g(iM),Dir13,Dir14);
Local Diag7 =
+1*dirM(SpinorU(k1,0),Dir1)*dirM(SpinorVb(k2,0),Dir3)*dirM(SpinorUb(k3,MT),Dir2)*dirM(SpinorUb(k4,MT),Dir4)*dirM(SpinorV(k5,MT),Dir6)*dirM(SpinorV(k6,MT),Dir8)*i_*GS*dirM(g(iM,Lor9),Dir3,Dir1)*SUNT(Glu9,Col3,Col1)*i_*GS*dirM(g(iM,Lor11),Dir4,Dir6)*SUNT(Glu11,Col4,Col6)*i_*GS*dirM(g(iM,Lor10),Dir2,Dir13)*SUNT(Glu10,Col2,Col13)*i_*GS*dirM(g(iM,Lor12),Dir14,Dir8)*SUNT(Glu12,Col14,Col8)*-i_*Den(-k1-k2,0)*d_(Lor10,Lor9)*d_(Glu10,Glu9)*SUNSum(Glu9,8)*-i_*Den(k4+k5,0)*d_(Lor12,Lor11)*d_(Glu12,Glu11)*SUNSum(Glu11,8)*i_*Den(-k1-k2+k3,MT2)*d_(Col14,Col13)*SUNSum(Col13,3)*dirM(fslash(-k1-k2+k3)+MT*g(iM),Dir13,Dir14);
Local Diag8 =
+1*dirM(SpinorU(k1,0),Dir1)*dirM(SpinorVb(k2,0),Dir3)*dirM(SpinorUb(k3,MT),Dir2)*dirM(SpinorUb(k4,MT),Dir4)*dirM(SpinorV(k5,MT),Dir6)*dirM(SpinorV(k6,MT),Dir8)*i_*GS*dirM(g(iM,Lor9),Dir3,Dir1)*SUNT(Glu9,Col3,Col1)*i_*GS*dirM(g(iM,Lor11),Dir4,Dir6)*SUNT(Glu11,Col4,Col6)*i_*GS*dirM(g(iM,Lor10),Dir14,Dir8)*SUNT(Glu10,Col14,Col8)*i_*GS*dirM(g(iM,Lor12),Dir2,Dir13)*SUNT(Glu12,Col2,Col13)*-i_*Den(-k1-k2,0)*d_(Lor10,Lor9)*d_(Glu10,Glu9)*SUNSum(Glu9,8)*-i_*Den(k4+k5,0)*d_(Lor12,Lor11)*d_(Glu12,Glu11)*SUNSum(Glu11,8)*i_*Den(k1+k2-k6,MT2)*d_(Col14,Col13)*SUNSum(Col13,3)*dirM(fslash(k1+k2-k6)+MT*g(iM),Dir13,Dir14);
Local Diag9 =
-1*dirM(SpinorU(k1,0),Dir1)*dirM(SpinorVb(k2,0),Dir3)*dirM(SpinorUb(k3,MT),Dir2)*dirM(SpinorUb(k4,MT),Dir4)*dirM(SpinorV(k5,MT),Dir6)*dirM(SpinorV(k6,MT),Dir8)*i_*GS*dirM(g(iM,Lor9),Dir3,Dir1)*SUNT(Glu9,Col3,Col1)*i_*GS*dirM(g(iM,Lor11),Dir4,Dir8)*SUNT(Glu11,Col4,Col8)*i_*GS*dirM(g(iM,Lor10),Dir2,Dir13)*SUNT(Glu10,Col2,Col13)*i_*GS*dirM(g(iM,Lor12),Dir14,Dir6)*SUNT(Glu12,Col14,Col6)*-i_*Den(-k1-k2,0)*d_(Lor10,Lor9)*d_(Glu10,Glu9)*SUNSum(Glu9,8)*-i_*Den(k4+k6,0)*d_(Lor12,Lor11)*d_(Glu12,Glu11)*SUNSum(Glu11,8)*i_*Den(-k1-k2+k3,MT2)*d_(Col14,Col13)*SUNSum(Col13,3)*dirM(fslash(-k1-k2+k3)+MT*g(iM),Dir13,Dir14);
Local Diag10 =
-1*dirM(SpinorU(k1,0),Dir1)*dirM(SpinorVb(k2,0),Dir3)*dirM(SpinorUb(k3,MT),Dir2)*dirM(SpinorUb(k4,MT),Dir4)*dirM(SpinorV(k5,MT),Dir6)*dirM(SpinorV(k6,MT),Dir8)*i_*GS*dirM(g(iM,Lor9),Dir3,Dir1)*SUNT(Glu9,Col3,Col1)*i_*GS*dirM(g(iM,Lor11),Dir4,Dir8)*SUNT(Glu11,Col4,Col8)*i_*GS*dirM(g(iM,Lor10),Dir14,Dir6)*SUNT(Glu10,Col14,Col6)*i_*GS*dirM(g(iM,Lor12),Dir2,Dir13)*SUNT(Glu12,Col2,Col13)*-i_*Den(-k1-k2,0)*d_(Lor10,Lor9)*d_(Glu10,Glu9)*SUNSum(Glu9,8)*-i_*Den(k4+k6,0)*d_(Lor12,Lor11)*d_(Glu12,Glu11)*SUNSum(Glu11,8)*i_*Den(k1+k2-k5,MT2)*d_(Col14,Col13)*SUNSum(Col13,3)*dirM(fslash(k1+k2-k5)+MT*g(iM),Dir13,Dir14);
Local Diag11 =
-1*dirM(SpinorU(k1,0),Dir1)*dirM(SpinorVb(k2,0),Dir3)*dirM(SpinorUb(k3,MT),Dir2)*dirM(SpinorUb(k4,MT),Dir4)*dirM(SpinorV(k5,MT),Dir6)*dirM(SpinorV(k6,MT),Dir8)*i_*GS*dirM(g(iM,Lor9),Dir2,Dir6)*SUNT(Glu9,Col2,Col6)*i_*GS*dirM(g(iM,Lor11),Dir4,Dir8)*SUNT(Glu11,Col4,Col8)*i_*GS*dirM(g(iM,Lor10),Dir14,Dir1)*SUNT(Glu10,Col14,Col1)*i_*GS*dirM(g(iM,Lor12),Dir3,Dir13)*SUNT(Glu12,Col3,Col13)*-i_*Den(k3+k5,0)*d_(Lor10,Lor9)*d_(Glu10,Glu9)*SUNSum(Glu9,8)*-i_*Den(k4+k6,0)*d_(Lor12,Lor11)*d_(Glu12,Glu11)*SUNSum(Glu11,8)*i_*Den(k1-k3-k5,0)*d_(Col14,Col13)*SUNSum(Col13,3)*dirM(fslash(k1-k3-k5),Dir13,Dir14);
Local Diag12 =
-1*dirM(SpinorU(k1,0),Dir1)*dirM(SpinorVb(k2,0),Dir3)*dirM(SpinorUb(k3,MT),Dir2)*dirM(SpinorUb(k4,MT),Dir4)*dirM(SpinorV(k5,MT),Dir6)*dirM(SpinorV(k6,MT),Dir8)*i_*GS*dirM(g(iM,Lor9),Dir2,Dir6)*SUNT(Glu9,Col2,Col6)*i_*GS*dirM(g(iM,Lor11),Dir4,Dir8)*SUNT(Glu11,Col4,Col8)*i_*GS*dirM(g(iM,Lor10),Dir3,Dir13)*SUNT(Glu10,Col3,Col13)*i_*GS*dirM(g(iM,Lor12),Dir14,Dir1)*SUNT(Glu12,Col14,Col1)*-i_*Den(k3+k5,0)*d_(Lor10,Lor9)*d_(Glu10,Glu9)*SUNSum(Glu9,8)*-i_*Den(k4+k6,0)*d_(Lor12,Lor11)*d_(Glu12,Glu11)*SUNSum(Glu11,8)*i_*Den(-k2+k3+k5,0)*d_(Col14,Col13)*SUNSum(Col13,3)*dirM(fslash(-k2+k3+k5),Dir13,Dir14);
Local Diag13 =
+1*dirM(SpinorU(k1,0),Dir1)*dirM(SpinorVb(k2,0),Dir3)*dirM(SpinorUb(k3,MT),Dir2)*dirM(SpinorUb(k4,MT),Dir4)*dirM(SpinorV(k5,MT),Dir6)*dirM(SpinorV(k6,MT),Dir8)*i_*GS*dirM(g(iM,Lor9),Dir2,Dir8)*SUNT(Glu9,Col2,Col8)*i_*GS*dirM(g(iM,Lor11),Dir4,Dir6)*SUNT(Glu11,Col4,Col6)*i_*GS*dirM(g(iM,Lor10),Dir14,Dir1)*SUNT(Glu10,Col14,Col1)*i_*GS*dirM(g(iM,Lor12),Dir3,Dir13)*SUNT(Glu12,Col3,Col13)*-i_*Den(k3+k6,0)*d_(Lor10,Lor9)*d_(Glu10,Glu9)*SUNSum(Glu9,8)*-i_*Den(k4+k5,0)*d_(Lor12,Lor11)*d_(Glu12,Glu11)*SUNSum(Glu11,8)*i_*Den(k1-k3-k6,0)*d_(Col14,Col13)*SUNSum(Col13,3)*dirM(fslash(k1-k3-k6),Dir13,Dir14);
Local Diag14 =
+1*dirM(SpinorU(k1,0),Dir1)*dirM(SpinorVb(k2,0),Dir3)*dirM(SpinorUb(k3,MT),Dir2)*dirM(SpinorUb(k4,MT),Dir4)*dirM(SpinorV(k5,MT),Dir6)*dirM(SpinorV(k6,MT),Dir8)*i_*GS*dirM(g(iM,Lor9),Dir2,Dir8)*SUNT(Glu9,Col2,Col8)*i_*GS*dirM(g(iM,Lor11),Dir4,Dir6)*SUNT(Glu11,Col4,Col6)*i_*GS*dirM(g(iM,Lor10),Dir3,Dir13)*SUNT(Glu10,Col3,Col13)*i_*GS*dirM(g(iM,Lor12),Dir14,Dir1)*SUNT(Glu12,Col14,Col1)*-i_*Den(k3+k6,0)*d_(Lor10,Lor9)*d_(Glu10,Glu9)*SUNSum(Glu9,8)*-i_*Den(k4+k5,0)*d_(Lor12,Lor11)*d_(Glu12,Glu11)*SUNSum(Glu11,8)*i_*Den(-k2+k3+k6,0)*d_(Col14,Col13)*SUNSum(Col13,3)*dirM(fslash(-k2+k3+k6),Dir13,Dir14);

L Amp = +Diag1+Diag2+Diag3+Diag4+Diag5+Diag6+Diag7+Diag8+Diag9+Diag10+Diag11+Diag12+Diag13+Diag14;

#$lomax = 14;
#$dimax = 14;
#call squareME(Amp,M1);
 .sort
L Result = M1;
.sort

Format nospaces;
#write <me.qQ2ttTT.txt> "%e",Result

ExtraSymbols,array,w;
Format O3;
*Print;
.sort

Format DOUBLEFORTRAN;
#optimize Result
#write <me.qQ2ttTT.f> "      FUNCTION me_qQ2ttTT(S, T, U, T14, T24, S34, MT, GS, NF)"
#write <me.qQ2ttTT.f> "      REAL*8 S, T, U, T14, T24, S34, MT, GS, NF"
#write <me.qQ2ttTT.f> "      REAL*8 me_qQ2ttTT"
#write <me.qQ2ttTT.f> "      REAL*8 w(`optimmaxvar_')"
#write <me.qQ2ttTT.f> "%O"
#write <me.qQ2ttTT.f> "      me_qQ2ttTT = %e",Result(me_qQ2ttTT)
#write <me.qQ2ttTT.f> "      RETURN"
#write <me.qQ2ttTT.f> "      END"
.sort

.end
